For the complete documentation index, see llms.txt. This page is also available as Markdown.

Merchant API (Private)

All private merchant API requires the use of Multichain's project API Key in the header.

Create Subwallet

POST https://api.multichain.info/app/v1/subwallet/create

Generate a new subwallet address for all network or a single network.

Query Parameters

Name
Type
Description

network

string

Specify the network type. E.g. "ETHEREUM" or "TRON" or leave empty to generate all subwallet address type available.

Headers

Name
Type
Description

multichain-api-key

string

Input your Multichain's project API key here.

{
    "subwallets": {
        "ETHEREUM": "0x923eE1F30C9CAe2E86b2438Cc8a1910fFF28f1d8",
        "TRON": "TTyBHncVGXPRcKePpL5u8RD4YauhwdKmJP"
    }
}
{
    "status": false,
    "message": "Invalid project api key or project had been disabled, please enable it in your dashboard settings."
}

Get Asset Info

GET https://api.multichain.info/app/v1/assets

Get all user-specific asset info, inclusive of latest fees.

Query Parameters

Name
Type
Description

assetUid

string

Get assetUid from Public API -> "Get All Asset Info" endpoint.

Headers

Name
Type
Description

multichain-api-key

string

Input your Multichain's project API Key here.

Get Deposit History

GET https://api.multichain.info/app/v1/subwallet/deposit/history

Get address or all project deposit history by assetUid. Please be mindful when using this API due to its computational load.

Query Parameters

Name
Type
Description

limit

string

Default/Max: 200

page

string

View paginated data

address

string

Enter subwallet address

assetUid

String

Get uid from Public API -> "Get All Asset Info" endpoint.

Headers

Name
Type
Description

multichain-api-key

string

Input your Multichain's project API Key here.

Note: "uid" should be specified as "assetUid" query param in "Get Deposit History". Example of a assetUid (uid):

"ETHEREUM.0xf6ff95d53e08c9660dc7820fd5a775484f77183a"

⚡Get assetUid (uid) from calling this public endpoint here .

Last updated

Was this helpful?